#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x631f79e6, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0xe20adbde, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0xb04405aa, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x5a8d93c7, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0xcb443721, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x62b0082c, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x9bd0d762, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0xc0e8e921, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0x2cf3d686, "_gpl");
SYMBOL_CRC(can_bus_off, 0x94374343, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x4276746b, "_gpl");
SYMBOL_CRC(free_candev, 0x13b42ad6, "_gpl");
SYMBOL_CRC(can_change_mtu, 0xd9b8483d, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0xa72aa206, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x8c781c27, "");
SYMBOL_CRC(open_candev, 0x969b2271, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0x9e90c5db, "_gpl");
SYMBOL_CRC(close_candev, 0x2b00d7ba, "_gpl");
SYMBOL_CRC(register_candev, 0x688404f4, "_gpl");
SYMBOL_CRC(unregister_candev, 0xe748d5f7, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x11d78738, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x4f0d8eec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdc3637df, "skb_put" },
	{ 0xaa1474d, "gpiod_set_value" },
	{ 0x9de9d7a5, "skb_tstamp_tx" },
	{ 0xdceb4467, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4e261d2e, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8b8ca8d4, "unregister_netdev" },
	{ 0x7cea581f, "rtnl_link_register" },
	{ 0x3a788c1c, "netdev_warn" },
	{ 0x6a882fc8, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe49abc49, "netdev_err" },
	{ 0x78e527cc, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x64d88058, "device_property_read_u32_array" },
	{ 0x5df36bb, "of_get_child_by_name" },
	{ 0xd5b4d466, "rtnl_link_unregister" },
	{ 0xebc596c7, "sk_skb_reason_drop" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xe06bdd4, "register_netdev" },
	{ 0x676e2064, "free_netdev" },
	{ 0xdcb764ad, "memset" },
	{ 0xb26623b0, "sock_efree" },
	{ 0x9089ae29, "netif_rx" },
	{ 0x2c53d4e1, "__netdev_alloc_skb" },
	{ 0xc9d1d5ab, "skb_trim" },
	{ 0x2fbfa9b0, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x74cd4c8, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xff4270c4, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x8b251e1, "netif_carrier_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x119c6202, "dev_err_probe" },
	{ 0xf1d8d417, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xa8f55ef2, "skb_clone_tx_timestamp" },
	{ 0x9fe1fc88, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1CED7D9B41A22F946AE5397");
MODULE_INFO(rhelversion, "9.6");
