#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0xb03b7f90, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x24a0380d, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x655fb746, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x9f39fc90, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x7d1ac097, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xa4d789a6, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x8e63b042, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x3edf44df, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0xb85e4cb8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1e31314c, "__wake_up" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xebc596c7, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x60777667, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe49abc49, "netdev_err" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0x3cdd1a04, "skb_copy_datagram_iter" },
	{ 0xae892091, "_copy_to_iter" },
	{ 0x52a706c5, "iov_iter_advance" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4e261d2e, "consume_skb" },
	{ 0x470b9136, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xf54b80c2, "prepare_to_wait" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x902f18d0, "cdev_init" },
	{ 0xd5ab4d1c, "cdev_add" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xa3c5062e, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b15569b, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9f1a1dbb, "skb_push" },
	{ 0x27356eaa, "__skb_gso_segment" },
	{ 0x56ca6e4b, "kfree_skb_list_reason" },
	{ 0xbacc3324, "skb_checksum_help" },
	{ 0x50276a33, "__skb_get_hash_net" },
	{ 0x4cfc50b, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xee5b1f35, "idr_find" },
	{ 0x3c0eadf7, "sk_alloc" },
	{ 0x64c2d43, "__init_waitqueue_head" },
	{ 0x6c18f4d4, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xe25cfcff, "__skb_flow_dissect" },
	{ 0x9b11da8c, "skb_partial_csum_set" },
	{ 0x5425fcb1, "__pskb_pull_tail" },
	{ 0x76498098, "iov_iter_npages" },
	{ 0x37cf2e67, "_copy_from_iter" },
	{ 0x7a5c21a7, "sock_alloc_send_pskb" },
	{ 0xdc3637df, "skb_put" },
	{ 0x4124c060, "zerocopy_sg_from_iter" },
	{ 0x8223f472, "__dev_queue_xmit" },
	{ 0xe981e38b, "skb_copy_datagram_from_iter" },
	{ 0x2e78445c, "iov_iter_revert" },
	{ 0x620baef1, "skb_copy_bits" },
	{ 0x31d0c590, "build_skb" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xbd355e9c, "dev_set_mac_address_user" },
	{ 0xa1eab3f3, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "798B7968E186D5671C997E0");
MODULE_INFO(rhelversion, "9.6");
