#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0x08fce8c3, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x5223a9be, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x96af8d8e, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0x89e1babf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x88a47022, "__skb_checksum_complete" },
	{ 0x2209cbd0, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x620baef1, "skb_copy_bits" },
	{ 0x19deb546, "__nlmsg_put" },
	{ 0xacc6798, "netdev_adjacent_change_commit" },
	{ 0x63da4d9c, "eth_mac_addr" },
	{ 0xdc3637df, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbbc48cb3, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4c7229d2, "ip6_dst_hoplimit" },
	{ 0xda14a132, "param_ops_ushort" },
	{ 0x4e261d2e, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x24cc17a8, "udp_sock_create4" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x8d44ab, "udp_tunnel6_xmit_skb" },
	{ 0x7cea581f, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x3434a7d6, "__unregister_nexthop_notifier" },
	{ 0x3b4fc944, "netif_inherit_tso_max" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5d164e56, "eth_validate_addr" },
	{ 0x4767e68d, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xf8b5be94, "gro_cells_init" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb1431a86, "rtnl_create_link" },
	{ 0xc89638f9, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x3ed65d03, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x5ba15b51, "ether_setup" },
	{ 0x9069ef1c, "udp_tunnel_drop_rx_port" },
	{ 0x4363803a, "netdev_upper_dev_link" },
	{ 0xac842e75, "pskb_expand_head" },
	{ 0x2d19cbf2, "register_pernet_subsys" },
	{ 0xe120db74, "netdev_core_stats_alloc" },
	{ 0xe3c41610, "eth_type_trans" },
	{ 0xf159bfd0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x60dd7f9b, "__alloc_skb" },
	{ 0xfa7ea0cb, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xd78f0878, "eth_gro_complete" },
	{ 0x8aff919e, "rtnl_set_sk_err" },
	{ 0xeccf0e36, "eth_gro_receive" },
	{ 0x3657c8d6, "rtnl_configure_link" },
	{ 0x2c8da222, "skb_tunnel_check_pmtu" },
	{ 0xbecd0fbd, "udp_tunnel_dst_lookup" },
	{ 0xb6ce9c44, "rtnl_unicast" },
	{ 0x8f1e3b41, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x50276a33, "__skb_get_hash_net" },
	{ 0x1800f11c, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x4b924042, "__dev_get_by_index" },
	{ 0xd5b4d466, "rtnl_link_unregister" },
	{ 0x77298cb4, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x8668020a, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xa3762c88, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xebc596c7, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xb267e12f, "dev_get_by_index_rcu" },
	{ 0xb23eb01c, "gro_cells_receive" },
	{ 0x9f1a1dbb, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xc504c31c, "netdev_upper_dev_unlink" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x676e2064, "free_netdev" },
	{ 0x803a7e60, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x97030c80, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x5dcd9dcc, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x75730a8a, "ethtool_op_get_link" },
	{ 0xb6db3d5a, "nexthop_find_by_id" },
	{ 0x70ca9027, "arp_create" },
	{ 0x343ac66f, "__ethtool_get_link_ksettings" },
	{ 0xe9ae946c, "netdev_adjacent_change_prepare" },
	{ 0xc5690399, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xa6d888ac, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x57738ff3, "rhashtable_free_and_destroy" },
	{ 0xdcb764ad, "memset" },
	{ 0x981eb97b, "rht_bucket_nested_insert" },
	{ 0x1097a042, "netdev_adjacent_change_abort" },
	{ 0x4524db1, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf6d28e92, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1adaab70, "__iptunnel_pull_header" },
	{ 0x5425fcb1, "__pskb_pull_tail" },
	{ 0xa5c8c74f, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x9089ae29, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x262c57f0, "rhashtable_destroy" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0x8d985a92, "setup_udp_tunnel_sock" },
	{ 0x8352319a, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9d1d5ab, "skb_trim" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2fbfa9b0, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbe89dbd7, "skb_scrub_packet" },
	{ 0x9211420c, "nexthop_select_path" },
	{ 0x151c3d15, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x80905a7c, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x469aaa20, "neigh_destroy" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xaedb65b3, "param_ops_bool" },
	{ 0xea46fed, "udp_tun_rx_dst" },
	{ 0xddad2e34, "rtnl_notify" },
	{ 0x991f9feb, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd2668a4f, "__netif_rx" },
	{ 0xff4270c4, "skb_clone" },
	{ 0x1ecd0bc7, "metadata_dst_alloc" },
	{ 0xbfc7ffea, "dst_release" },
	{ 0x100793d8, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xb0e1cefc, "udp_tunnel_notify_del_rx_port" },
	{ 0x811f5ffd, "register_nexthop_notifier" },
	{ 0xc38407d4, "ip_mc_leave_group" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xe3e0ecd1, "gro_find_receive_by_type" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0x9fe1fc88, "netdev_info" },
	{ 0x29198b5, "neigh_lookup" },
	{ 0x53384386, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2f6a5b41, "register_netdevice" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "3C85ED4E082CBAE0993668C");
MODULE_INFO(rhelversion, "9.6");
