#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x1ea427f3, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0xa33c9d4a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0x02858d38, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0x6ff3ba45, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x5358496e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x2c6adf49, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x3b5129cf, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x63400b0d, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x6f988e15, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0x8ceb5874, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x347f6c11, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x6e8b3cfb, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x727c6c41, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xf6d12e2b, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x89323a48, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0xf1e9c93b, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0xf57dae09, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xd8c4a883, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0xff2bde8e, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0xdf1d11b9, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x98d25106, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x89e3721f, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4bab7092, "trace_event_buffer_reserve" },
	{ 0x71880fcc, "trace_event_buffer_commit" },
	{ 0xb36dc0f4, "event_triggers_call" },
	{ 0xd2244ca0, "trace_event_ignore_this_pid" },
	{ 0x8450c0e9, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x9f375f7d, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x66005f76, "bpf_trace_run1" },
	{ 0xc40fabd3, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0xdcb764ad, "memset" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xaf6f091, "rt_write_lock" },
	{ 0xac6cc6f5, "rt_write_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8352319a, "udp_sock_create6" },
	{ 0x1a64f7ea, "kernel_sock_shutdown" },
	{ 0x16707f55, "sock_release" },
	{ 0x94dfc925, "sock_create_kern" },
	{ 0xb2dd15c, "kernel_bind" },
	{ 0x5ef96c6d, "kernel_connect" },
	{ 0x24cc17a8, "udp_sock_create4" },
	{ 0x71c0353e, "register_pernet_device" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0xfa017660, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xee5b1f35, "idr_find" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7cc7f2fb, "idr_get_next_ul" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8f120901, "rt_read_lock" },
	{ 0x194c83b3, "rt_read_unlock" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x6b15569b, "idr_destroy" },
	{ 0x4cfc50b, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xebc596c7, "sk_skb_reason_drop" },
	{ 0xf2513b76, "skb_dequeue" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xe63d622b, "idr_alloc_u32" },
	{ 0xd1701102, "sockfd_lookup" },
	{ 0x5dcd9dcc, "lock_sock_nested" },
	{ 0x53384386, "release_sock" },
	{ 0xe699c02d, "idr_replace" },
	{ 0xb61e03f8, "fput" },
	{ 0x8d985a92, "setup_udp_tunnel_sock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb494b9d7, "skb_queue_tail" },
	{ 0x7664c59b, "ip_queue_xmit" },
	{ 0xac842e75, "pskb_expand_head" },
	{ 0x91b4dab7, "udp_set_csum" },
	{ 0x4edcba27, "inet6_csk_xmit" },
	{ 0x263f2fa, "udp6_set_csum" },
	{ 0xbfc7ffea, "dst_release" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5425fcb1, "__pskb_pull_tail" },
	{ 0x478a4bfb, "trace_event_reg" },
	{ 0x3616f747, "trace_event_raw_init" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel,ipv6");


MODULE_INFO(srcversion, "D131D2F101ECA73E4757E91");
MODULE_INFO(rhelversion, "9.6");
