#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x77f5e0c1, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xddb9d338, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x31edc6ca, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34bdfd81, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xdc09941e, "sock_queue_rcv_skb_reason" },
	{ 0x9c71ab9b, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xde6778c3, "bpf_trace_run4" },
	{ 0x620baef1, "skb_copy_bits" },
	{ 0x4ed265c2, "radix_tree_insert" },
	{ 0xdc3637df, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4e261d2e, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8450c0e9, "trace_raw_output_prep" },
	{ 0x33fc2a31, "get_user_ifreq" },
	{ 0x3942031c, "radix_tree_lookup" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x9f375f7d, "trace_event_printf" },
	{ 0xb2dd15c, "kernel_bind" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x3616f747, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xb36dc0f4, "event_triggers_call" },
	{ 0x1e31314c, "__wake_up" },
	{ 0x968970bb, "kernel_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x454a07bd, "sk_error_report" },
	{ 0xfafa2f12, "skb_queue_purge_reason" },
	{ 0xf4340f48, "radix_tree_iter_delete" },
	{ 0x71880fcc, "trace_event_buffer_commit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3651aa2e, "proto_unregister" },
	{ 0xa5f4c99c, "sock_register" },
	{ 0x9c316648, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2244ca0, "trace_event_ignore_this_pid" },
	{ 0x60dd7f9b, "__alloc_skb" },
	{ 0xac6cc6f5, "rt_write_unlock" },
	{ 0xae5318ff, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x72424cdb, "__xa_alloc" },
	{ 0x8c61102f, "sock_no_shutdown" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x89e3721f, "perf_trace_run_bpf_submit" },
	{ 0xa60b9f71, "__traceiter_sk_data_ready" },
	{ 0xe5a14177, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5c81bf79, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xebc596c7, "sk_skb_reason_drop" },
	{ 0x3f694345, "xa_load" },
	{ 0x1e55a641, "kernel_getsockname" },
	{ 0xcd40d9ca, "do_wait_intr_irq" },
	{ 0x4cfc50b, "sk_free" },
	{ 0x500c925c, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0x9f1a1dbb, "skb_push" },
	{ 0x915b800, "sock_no_listen" },
	{ 0x478a4bfb, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x5dcd9dcc, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3cdd1a04, "skb_copy_datagram_iter" },
	{ 0x3c0eadf7, "sk_alloc" },
	{ 0x4678ce7c, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0xb58431be, "sock_no_mmap" },
	{ 0x64c2d43, "__init_waitqueue_head" },
	{ 0x70ff77a4, "sock_no_sendpage" },
	{ 0x2c53d4e1, "__netdev_alloc_skb" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x8877a0d4, "__xa_insert" },
	{ 0xd12db825, "xa_erase" },
	{ 0x8f0d7a90, "bpf_trace_run3" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x42d99fa7, "skb_set_owner_w" },
	{ 0x4bab7092, "trace_event_buffer_reserve" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0x94dfc925, "sock_create_kern" },
	{ 0x3bfa674a, "xa_find" },
	{ 0xe62f66bf, "skb_recv_datagram" },
	{ 0x7a5c21a7, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd6822237, "xa_store" },
	{ 0xff4270c4, "skb_clone" },
	{ 0xaf6f091, "rt_write_lock" },
	{ 0x37cf2e67, "_copy_from_iter" },
	{ 0x16707f55, "sock_release" },
	{ 0x8ce94fbb, "sock_gettstamp" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4eee7af1, "xa_find_after" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x2e78445c, "iov_iter_revert" },
	{ 0x73d79284, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0xf3f4ffa3, "sock_init_data" },
	{ 0x38f48af7, "put_user_ifreq" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0x53384386, "release_sock" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "48BEB303FAF074C19834E70");
MODULE_INFO(rhelversion, "9.6");
