#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x3c68684a, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x7e12cd2e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xfaeb1320, "fasync_helper" },
	{ 0xc2c5dbb0, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9fe1fc88, "netdev_info" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x92275b4e, "netif_receive_skb" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x44ccfeb2, "from_kgid_munged" },
	{ 0xe3e360e4, "from_kuid_munged" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe6235530, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa5c8c74f, "dev_get_tstats64" },
	{ 0x2e70e75b, "netif_tx_stop_all_queues" },
	{ 0x92997ed8, "_printk" },
	{ 0x7cea581f, "rtnl_link_register" },
	{ 0xed30d8d0, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x96640317, "misc_deregister" },
	{ 0xd5b4d466, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xebc596c7, "sk_skb_reason_drop" },
	{ 0x1cf44ead, "xdp_return_frame" },
	{ 0xee569162, "__wake_up_sync_key" },
	{ 0xeb7c3337, "kill_fasync" },
	{ 0x8b251e1, "netif_carrier_on" },
	{ 0x74cd4c8, "netif_carrier_off" },
	{ 0x6ef72f23, "bpf_prog_put" },
	{ 0x31d0c590, "build_skb" },
	{ 0xdc3637df, "skb_put" },
	{ 0x42d99fa7, "skb_set_owner_w" },
	{ 0x3c0eadf7, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0x64c2d43, "__init_waitqueue_head" },
	{ 0x6c18f4d4, "sock_init_data_uid" },
	{ 0x4cfc50b, "sk_free" },
	{ 0x51922eef, "napi_gro_receive" },
	{ 0x92ba4bf1, "napi_complete_done" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xdc53812e, "add_wait_queue" },
	{ 0xbc99e948, "remove_wait_queue" },
	{ 0x1000e51, "schedule" },
	{ 0xfafa2f12, "skb_queue_purge_reason" },
	{ 0xe258cb2e, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe54d8c3, "xdp_rxq_info_unreg" },
	{ 0x59e15647, "__netif_napi_del" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x289e0bc4, "module_put" },
	{ 0xbad73721, "napi_get_frags" },
	{ 0x3deec4f7, "iov_iter_single_seg_count" },
	{ 0xac842e75, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3c45f7af, "sk_filter_trim_cap" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xa8f55ef2, "skb_clone_tx_timestamp" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x13e567a5, "skb_copy_ubufs" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe120db74, "netdev_core_stats_alloc" },
	{ 0x48be3b8c, "skb_tx_error" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x8761c87b, "rps_needed" },
	{ 0x9de9d7a5, "skb_tstamp_tx" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x1ae726af, "___pskb_trim" },
	{ 0x690da155, "__skb_get_hash_symmetric_net" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8ef25227, "netif_set_real_num_tx_queues" },
	{ 0x66d4c8ab, "netif_set_real_num_rx_queues" },
	{ 0xc89638f9, "unregister_netdevice_queue" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfe812cf3, "netdev_state_change" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xe25cfcff, "__skb_flow_dissect" },
	{ 0x9b11da8c, "skb_partial_csum_set" },
	{ 0x5425fcb1, "__pskb_pull_tail" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0x9be7bde4, "security_tun_dev_attach" },
	{ 0x345654c9, "xdp_rxq_info_is_reg" },
	{ 0xd305fc63, "__xdp_rxq_info_reg" },
	{ 0x98f0dd3, "xdp_rxq_info_reg_mem_model" },
	{ 0xd158a35b, "netif_napi_add_weight" },
	{ 0x37c18340, "napi_enable" },
	{ 0x5dcd9dcc, "lock_sock_nested" },
	{ 0x75ae0f57, "sk_attach_filter" },
	{ 0x53384386, "release_sock" },
	{ 0x3dad910b, "__dev_get_by_name" },
	{ 0xf0609438, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x78e527cc, "alloc_netdev_mqs" },
	{ 0x1b980210, "ip_tunnel_header_ops" },
	{ 0x2f6a5b41, "register_netdevice" },
	{ 0xf32e5ca8, "netif_tx_wake_queue" },
	{ 0x5ba15b51, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x676e2064, "free_netdev" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xae892091, "_copy_to_iter" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3cdd1a04, "skb_copy_datagram_iter" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x52a706c5, "iov_iter_advance" },
	{ 0xe49abc49, "netdev_err" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x4e261d2e, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x206e79cd, "sock_recv_errqueue" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x54070dd9, "bpf_prog_get_type_dev" },
	{ 0xa8e49e28, "xdp_do_redirect" },
	{ 0x6dff10d6, "bpf_warn_invalid_xdp_action" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xfe0df9cd, "__traceiter_xdp_exception" },
	{ 0x9ee87c44, "xdp_return_frame_rx_napi" },
	{ 0x9ffb1cf, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x5c5d63bf, "__page_frag_cache_drain" },
	{ 0xe3c41610, "eth_type_trans" },
	{ 0x728c0ac8, "xdp_master_redirect" },
	{ 0x2c511742, "do_xdp_generic" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xab82ac92, "__folio_put" },
	{ 0xf685a085, "__put_devmap_managed_page_refs" },
	{ 0x752dc7e, "skb_page_frag_refill" },
	{ 0xbd52a0f5, "copy_page_from_iter" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x37cf2e67, "_copy_from_iter" },
	{ 0x76498098, "iov_iter_npages" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0xe981e38b, "skb_copy_datagram_from_iter" },
	{ 0x7a5c21a7, "sock_alloc_send_pskb" },
	{ 0x4124c060, "zerocopy_sg_from_iter" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0x9f1a1dbb, "skb_push" },
	{ 0x25680f3c, "eth_get_headlen" },
	{ 0x17ca8110, "napi_gro_frags" },
	{ 0x2e78445c, "iov_iter_revert" },
	{ 0x7d74a795, "napi_schedule_prep" },
	{ 0x6ef29ceb, "__napi_schedule" },
	{ 0xbc34deb6, "get_net_ns" },
	{ 0x5c0358d5, "open_related_ns" },
	{ 0xa1eab3f3, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x9552a06a, "make_kgid" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xdacec2d5, "netdev_update_features" },
	{ 0xbd355e9c, "dev_set_mac_address_user" },
	{ 0x2b0e6d43, "make_kuid" },
	{ 0xde50e4fa, "init_user_ns" },
	{ 0x343b1a4f, "from_kuid" },
	{ 0x42f48eca, "sk_detach_filter" },
	{ 0x51132d64, "call_netdevice_notifiers" },
	{ 0xd8cb3186, "__module_get" },
	{ 0x8c12e8b5, "from_kgid" },
	{ 0x75730a8a, "ethtool_op_get_link" },
	{ 0x6f61d0fd, "ethtool_op_get_ts_info" },
	{ 0x7fce2c7e, "passthru_features_check" },
	{ 0x63da4d9c, "eth_mac_addr" },
	{ 0x5d164e56, "eth_validate_addr" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8B0DA63A5CCFEF76169D0A9");
MODULE_INFO(rhelversion, "9.6");
