#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x6c6a2d53, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x98300279, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x96d5903a, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x04dd08a5, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x8bacfb4a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x847a3bc3, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x5d8c312, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfdfc1f51, "inet_addr_type_table" },
	{ 0x2209cbd0, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x620baef1, "skb_copy_bits" },
	{ 0x4b23a1af, "inet_unregister_protosw" },
	{ 0xee5b1f35, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xfeb4dbeb, "sock_wfree" },
	{ 0xdc3637df, "skb_put" },
	{ 0xb815d7f4, "register_net_sysctl" },
	{ 0xe2f9c3e3, "__fl6_sock_lookup" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4c7229d2, "ip6_dst_hoplimit" },
	{ 0x4e261d2e, "consume_skb" },
	{ 0xcfd09307, "inet6_add_offload" },
	{ 0x81d510a7, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb917b7f7, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8450c0e9, "trace_raw_output_prep" },
	{ 0x3a924a30, "l3mdev_fib_table_by_index" },
	{ 0x24cc17a8, "udp_sock_create4" },
	{ 0xf2513b76, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x34814644, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x470b9136, "finish_wait" },
	{ 0xff3cc42f, "skb_segment" },
	{ 0x9f375f7d, "trace_event_printf" },
	{ 0xc2fceaa1, "__ip_dev_find" },
	{ 0x8d44ab, "udp_tunnel6_xmit_skb" },
	{ 0xac201a87, "sock_common_getsockopt" },
	{ 0x81a7b974, "inet_bind" },
	{ 0xcf4fe74a, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf54b80c2, "prepare_to_wait" },
	{ 0x34e6cdc5, "fd_install" },
	{ 0x3616f747, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x4dbbe240, "inet_register_protosw" },
	{ 0x9f9354b7, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xc40fabd3, "bpf_trace_run2" },
	{ 0x2c84bf45, "sock_common_setsockopt" },
	{ 0xe83bf30d, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1e31314c, "__wake_up" },
	{ 0xb36dc0f4, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x43f718d8, "ip_route_output_flow" },
	{ 0x3590d7c9, "rhashtable_walk_enter" },
	{ 0x52118b33, "kmem_cache_create" },
	{ 0x682f5d87, "__sk_mem_schedule" },
	{ 0x52e83ae7, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x58442e4c, "sock_alloc_file" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x266cf68e, "proc_create_net_data" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x454a07bd, "sk_error_report" },
	{ 0x2d19cbf2, "register_pernet_subsys" },
	{ 0xdf9d39ed, "put_cmsg" },
	{ 0x71880fcc, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x1bc3b497, "inet_sock_destruct" },
	{ 0x1780cc35, "crypto_destroy_tfm" },
	{ 0x7664a172, "sock_kmalloc" },
	{ 0x14714b7, "inet6_del_protocol" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0xd08554ea, "inet_getname" },
	{ 0x3651aa2e, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xd2244ca0, "trace_event_ignore_this_pid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x60dd7f9b, "__alloc_skb" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xfb6e3169, "inet_release" },
	{ 0xac6cc6f5, "rt_write_unlock" },
	{ 0xdae1ad2f, "kmem_cache_alloc" },
	{ 0xae5318ff, "proto_register" },
	{ 0x70d2b118, "skb_copy_expand" },
	{ 0xee569162, "__wake_up_sync_key" },
	{ 0x726414eb, "__sock_recv_ts_and_drops" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x403eaaa7, "idr_remove" },
	{ 0x737dbd70, "inet_ctl_sock_create" },
	{ 0x6f56198c, "inet_ioctl" },
	{ 0x7a131c4f, "reuseport_add_sock" },
	{ 0x845df4f6, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xb3f2396a, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x3c45f7af, "sk_filter_trim_cap" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x89e3721f, "perf_trace_run_bpf_submit" },
	{ 0xb61e03f8, "fput" },
	{ 0xa60b9f71, "__traceiter_sk_data_ready" },
	{ 0x342d6648, "inet_accept" },
	{ 0xe5a14177, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xde253e3, "crypto_shash_setkey" },
	{ 0x8668020a, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0xe00d026b, "inet_add_offload" },
	{ 0x6fae7df8, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xebc596c7, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x6e67489e, "inet_add_protocol" },
	{ 0x95dedab6, "inet_shutdown" },
	{ 0x4cfc50b, "sk_free" },
	{ 0xaa508098, "sock_wake_async" },
	{ 0xb267e12f, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0xc4606cd8, "inet_del_offload" },
	{ 0x9f1a1dbb, "skb_push" },
	{ 0xbdb3d066, "__ip_queue_xmit" },
	{ 0x27a0e550, "kmem_cache_free" },
	{ 0xdcf0ac99, "__sk_mem_reclaim" },
	{ 0x607d90e8, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x63019d3a, "proc_doulongvec_minmax" },
	{ 0x478a4bfb, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x51334b83, "rhashtable_walk_start_check" },
	{ 0xf0609438, "ns_capable" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x5dcd9dcc, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x3f5bab20, "inet6_ioctl" },
	{ 0x3cdd1a04, "skb_copy_datagram_iter" },
	{ 0xed297516, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5ee2c0b1, "idr_alloc_cyclic" },
	{ 0x3c0eadf7, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xa6d888ac, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xac7027b0, "ip6_dst_lookup_flow" },
	{ 0x57738ff3, "rhashtable_free_and_destroy" },
	{ 0x4678ce7c, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x981eb97b, "rht_bucket_nested_insert" },
	{ 0x4524db1, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb58431be, "sock_no_mmap" },
	{ 0x64c2d43, "__init_waitqueue_head" },
	{ 0x5425fcb1, "__pskb_pull_tail" },
	{ 0x70ff77a4, "sock_no_sendpage" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0x8d985a92, "setup_udp_tunnel_sock" },
	{ 0x8352319a, "udp_sock_create6" },
	{ 0xc9d1d5ab, "skb_trim" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x86527869, "sk_common_release" },
	{ 0x8f0d7a90, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x151c3d15, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x8f120901, "rt_read_lock" },
	{ 0xb2cabb1f, "inet6_getname" },
	{ 0x98611519, "sock_i_ino" },
	{ 0xe8d598ab, "inet6_sock_destruct" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb1f6bbf6, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x9f12a942, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x42d99fa7, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4bab7092, "trace_event_buffer_reserve" },
	{ 0x427cd22c, "__skb_checksum" },
	{ 0x1ff0c6c6, "reuseport_alloc" },
	{ 0xa9558614, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x7cc01ba0, "inet6_release" },
	{ 0x3724cac5, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x370d2dee, "inet_sendmsg" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xaedb65b3, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xcac72e04, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x194c83b3, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xfd5c4fd4, "rhltable_init" },
	{ 0x991f9feb, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a5b1016, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc62158b0, "proc_create_net_single" },
	{ 0xfbfe8924, "skb_copy" },
	{ 0xff4270c4, "skb_clone" },
	{ 0x91e3f1c9, "inet_sk_set_state" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xbfc7ffea, "dst_release" },
	{ 0xaf6f091, "rt_write_lock" },
	{ 0x37cf2e67, "_copy_from_iter" },
	{ 0x16707f55, "sock_release" },
	{ 0x3789619a, "inet_recv_error" },
	{ 0x27fbc261, "proc_dointvec" },
	{ 0xec87c4ed, "seq_puts" },
	{ 0x8ce94fbb, "sock_gettstamp" },
	{ 0xbc794b62, "security_sctp_bind_connect" },
	{ 0x876af63, "rhashtable_walk_next" },
	{ 0xbceb39b9, "_proc_mkdir" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x405e6187, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x814967f2, "send_sig" },
	{ 0xcbc60ce9, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x44c384f3, "inet6_add_protocol" },
	{ 0xe3e360e4, "from_kuid_munged" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0xbfec8d6a, "ip_setsockopt" },
	{ 0xe44f84b5, "ipv6_flowlabel_exclusive" },
	{ 0x9f9f0f83, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x59c57bfe, "ipv6_getsockopt" },
	{ 0x98cf60b3, "strlen" },
	{ 0xf9c2803a, "reuseport_detach_sock" },
	{ 0xa1fd9250, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0x2e78445c, "iov_iter_revert" },
	{ 0x8bed285e, "crypto_alloc_shash" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x220d9a2a, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf3f4ffa3, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0x5a046b4f, "kmem_cache_destroy" },
	{ 0x53384386, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8bb57b16, "skb_queue_head" },
	{ 0xd8b2fba6, "proc_dointvec_minmax" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "ipv6,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "14E24BA5AED1BF51B227D4B");
MODULE_INFO(rhelversion, "9.6");
