#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x8742b7a7, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x527996a2, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x926aa21c, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0xaf17b498, "");
SYMBOL_CRC(gss_mech_put, 0x26e6d2ae, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x402e0c25, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x0c3b27da, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4219775c, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x796833f, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4bd45cd3, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x9f4dc5d4, "xdr_buf_from_iov" },
	{ 0xde6778c3, "bpf_trace_run4" },
	{ 0x2dfdac4c, "xdr_stream_decode_opaque_auth" },
	{ 0xdaa98393, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe1b5e45f, "xdr_write_pages" },
	{ 0xeb94702f, "rpc_shutdown_client" },
	{ 0xbff32efe, "auth_domain_find" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x774d5a28, "xdr_inline_decode" },
	{ 0xa7f6285e, "cache_create_net" },
	{ 0x92608f3d, "rpcauth_destroy_credcache" },
	{ 0x8450c0e9, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x316a8db2, "bpf_trace_run6" },
	{ 0x70fdfd7a, "rpc_net_ns" },
	{ 0x59fc80c8, "read_bytes_from_xdr_buf" },
	{ 0x9fbef169, "rt_mutex_base_init" },
	{ 0x470b9136, "finish_wait" },
	{ 0x4ac98f13, "rpc_wake_up" },
	{ 0x9f375f7d, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xb6eb51a4, "sunrpc_cache_lookup_rcu" },
	{ 0xf54b80c2, "prepare_to_wait" },
	{ 0x3616f747, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xf685a085, "__put_devmap_managed_page_refs" },
	{ 0x673ffc04, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xc40fabd3, "bpf_trace_run2" },
	{ 0xaece54f4, "prepare_to_wait_event" },
	{ 0x7535f21b, "xdr_truncate_decode" },
	{ 0xeb092a74, "rpcauth_unregister" },
	{ 0xb36dc0f4, "event_triggers_call" },
	{ 0x1e31314c, "__wake_up" },
	{ 0x1d8bdda2, "__xdr_commit_encode" },
	{ 0xd8cb3186, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x622cd30f, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0x8b4bdd70, "__put_cred" },
	{ 0x2d19cbf2, "register_pernet_subsys" },
	{ 0x71880fcc, "trace_event_buffer_commit" },
	{ 0x66763105, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x3071956, "rpc_release_client" },
	{ 0x251faef2, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xd7c52ade, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xd96e2618, "svc_auth_register" },
	{ 0x91b8ac04, "xdr_stream_encode_opaque_auth" },
	{ 0xd2244ca0, "trace_event_ignore_this_pid" },
	{ 0x2b0e6d43, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x40894b46, "rpc_destroy_pipe_data" },
	{ 0x314814c, "__free_pages" },
	{ 0xe851433c, "rpc_pipe_generic_upcall" },
	{ 0x289e0bc4, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x3e9c7786, "cache_unregister_net" },
	{ 0x5a23817b, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x89e3721f, "perf_trace_run_bpf_submit" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x722b92e6, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x27718713, "rpcauth_init_credcache" },
	{ 0x89695e63, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x5b62000b, "xdr_init_decode" },
	{ 0xa58f79fb, "mutex_lock" },
	{ 0x478a4bfb, "trace_event_reg" },
	{ 0xc771a4e2, "rpc_call_null" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x6a43fe75, "rpc_sleep_on_timeout" },
	{ 0xa2ecda98, "rpc_create" },
	{ 0x66005f76, "bpf_trace_run1" },
	{ 0xc898ac30, "rpc_call_sync" },
	{ 0x343b1a4f, "from_kuid" },
	{ 0xa6d888ac, "unregister_pernet_subsys" },
	{ 0x688e3b9d, "rpc_queue_upcall" },
	{ 0x3c00f8e, "xdr_encode_word" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd0fad541, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0xa8ff1eb9, "svcauth_unix_set_client" },
	{ 0x2d8aff4e, "xdr_buf_subsegment" },
	{ 0x64c2d43, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x9552a06a, "make_kgid" },
	{ 0xb8b8e615, "rt_spin_unlock" },
	{ 0x81b1d9dc, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xe651e16d, "rt_spin_lock" },
	{ 0x436abac1, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4cddce3a, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x8f0d7a90, "bpf_trace_run3" },
	{ 0x764f1a94, "__put_net" },
	{ 0xaace5a43, "rpc_mkpipe_dentry" },
	{ 0x92155f88, "rpc_mkpipe_data" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x54204969, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4bab7092, "trace_event_buffer_reserve" },
	{ 0x7e526f44, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0xec543af1, "cache_register_net" },
	{ 0xde50e4fa, "init_user_ns" },
	{ 0x8e6b3c7e, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x81b3f556, "xdr_inline_pages" },
	{ 0xab82ac92, "__folio_put" },
	{ 0xbd53f9d4, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x926635a1, "rpc_init_wait_queue" },
	{ 0xf182c95a, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xd32eed02, "rpc_unlink" },
	{ 0xa0002795, "rpcauth_wrap_req_encode" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0xe3e360e4, "from_kuid_munged" },
	{ 0x51ee4df6, "kmalloc_trace" },
	{ 0xf7dd570f, "rpcauth_init_cred" },
	{ 0xeb8833a3, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x7aa56d53, "cache_destroy_net" },
	{ 0x98cf60b3, "strlen" },
	{ 0x11847387, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x3fb23168, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xbeb02b60, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x18b41889, "sunrpc_cache_update" },
	{ 0x3538dbbd, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xcca02482, "rpc_destroy_wait_queue" },
	{ 0x118705df, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x91ce8c6e, "auth_domain_put" },
	{ 0x72f19dd0, "rpcauth_unwrap_resp_decode" },
	{ 0x70d3c3d6, "rpcauth_register" },
	{ 0x58bf71b9, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "042216EF997B5C7D2FED528");
MODULE_INFO(rhelversion, "9.6");
